#!/bin/bash

clear
echo
echo '########## VirtualSmartCard szoftver telepitese ##########'
echo

### Driver letöltése
wget https://github.com/frankmorgner/vsmartcard/releases/download/virtualsmartcard-0.8/virtualsmartcard-0.8.tar.gz
tar -zxvf virtualsmartcard-0.8.tar.gz -C /opt/

### Függőségek letöltése
apt-get update
apt-get install -y libtool autoconf gettext libpcsclite-dev help2man build-essential

### Driver telepítése
cd /opt/virtualsmartcard-0.8
autoreconf --verbose --install
./configure --sysconfdir=/etc --disable-dependency-tracking
make
make install

### eSzemélyi kliens telepítése
wget https://eszemelyi.hu/wp-content/uploads/2021/08/eSzemelyi_Kliens_x64_1_6_21.deb
dpkg -i eSzemelyi_Kliens_x64_1_6_21.deb
apt-get -f install -y

echo '########## A telepites elkeszult. ##########'
